• Introducing XDA Computing: Discussion zones for Hardware, Software, and more!    Check it out!

Redmi Note9 Codename Merlin -- Cant find the Testpoints for EDL - see Picture

Search This thread

Frettchen-Kalle

New member
Aug 4, 2021
3
0
Hello, i need some Help for the EDL Flash on Redmi Note9 Codename Merlin.
Fastboot and Recovery does not work. Reboot after Redmi Sign.

Bootloader is open, Backcover is open. What must i do now?

Please help me for finding Testpoint.

Screenshot.png
 

VD171

Senior Member
Jun 21, 2012
1,901
2
1,590
127.0.0.1
LG K10
Samsung Galaxy J7
First, close your device and keep it untouched.
Next, follow this guide:
 
  • Like
Reactions: nancybatespro

Frettchen-Kalle

New member
Aug 4, 2021
3
0
First, close your device and keep it untouched.
Next, follow this guide:

Thanks but i have a mistake at the end from the bat.

[2021-08-05 06:32:01.748392] Waiting for device
[2021-08-05 06:32:19.245436] Found port = COM9

[2021-08-05 06:32:19.429782] Device hw code: 0x707
[2021-08-05 06:32:19.429782] Device hw sub code: 0x8a00
[2021-08-05 06:32:19.429782] Device hw version: 0xca00
[2021-08-05 06:32:19.429782] Device sw version: 0x0
[2021-08-05 06:32:19.429782] Device secure boot: True
[2021-08-05 06:32:19.438464] Device serial link authorization: True
[2021-08-05 06:32:19.438464] Device download agent authorization: True

[2021-08-05 06:32:19.438464] Disabling watchdog timer
[2021-08-05 06:32:19.438464] Disabling protection
Traceback (most recent call last):
File "C:\Users\COMPAKT17\Downloads\VD171_MTK-bypass-v1.5\VD171_MTK-bypass-v1.5\Bypass\src\exploit.py", line 36, in exploit
udev._ctx.managed_claim_interface = lambda *args, **kwargs: None
AttributeError: 'NoneType' object has no attribute '_ctx'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "C:\Users\COMPAKT17\Downloads\VD171_MTK-bypass-v1.5\VD171_MTK-bypass-v1.5\Bypass\main.py", line 213, in <module>
main()
File "C:\Users\COMPAKT17\Downloads\VD171_MTK-bypass-v1.5\VD171_MTK-bypass-v1.5\Bypass\main.py", line 58, in main
result = exploit(device, config.watchdog_address, config.payload_address, config.var_0, config.var_1, payload)
File "C:\Users\COMPAKT17\Downloads\VD171_MTK-bypass-v1.5\VD171_MTK-bypass-v1.5\Bypass\src\exploit.py", line 38, in exploit
raise RuntimeError("libusb is not installed for port {}".format(device.dev.port)) from e
RuntimeError: libusb is not installed for port COM9
Drücken Sie eine beliebige Taste . . .
 

VD171

Senior Member
Jun 21, 2012
1,901
2
1,590
127.0.0.1
LG K10
Samsung Galaxy J7
Thanks but i have a mistake at the end from the bat.

[2021-08-05 06:32:01.748392] Waiting for device
[2021-08-05 06:32:19.245436] Found port = COM9

[2021-08-05 06:32:19.429782] Device hw code: 0x707
[2021-08-05 06:32:19.429782] Device hw sub code: 0x8a00
[2021-08-05 06:32:19.429782] Device hw version: 0xca00
[2021-08-05 06:32:19.429782] Device sw version: 0x0
[2021-08-05 06:32:19.429782] Device secure boot: True
[2021-08-05 06:32:19.438464] Device serial link authorization: True
[2021-08-05 06:32:19.438464] Device download agent authorization: True

[2021-08-05 06:32:19.438464] Disabling watchdog timer
[2021-08-05 06:32:19.438464] Disabling protection
Traceback (most recent call last):
File "C:\Users\COMPAKT17\Downloads\VD171_MTK-bypass-v1.5\VD171_MTK-bypass-v1.5\Bypass\src\exploit.py", line 36, in exploit
udev._ctx.managed_claim_interface = lambda *args, **kwargs: None
AttributeError: 'NoneType' object has no attribute '_ctx'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "C:\Users\COMPAKT17\Downloads\VD171_MTK-bypass-v1.5\VD171_MTK-bypass-v1.5\Bypass\main.py", line 213, in <module>
main()
File "C:\Users\COMPAKT17\Downloads\VD171_MTK-bypass-v1.5\VD171_MTK-bypass-v1.5\Bypass\main.py", line 58, in main
result = exploit(device, config.watchdog_address, config.payload_address, config.var_0, config.var_1, payload)
File "C:\Users\COMPAKT17\Downloads\VD171_MTK-bypass-v1.5\VD171_MTK-bypass-v1.5\Bypass\src\exploit.py", line 38, in exploit
raise RuntimeError("libusb is not installed for port {}".format(device.dev.port)) from e
RuntimeError: libusb is not installed for port COM9
Drücken Sie eine beliebige Taste . . .
Did you install the python module pyusb?
Did you try to run as administrator?
 

Frettchen-Kalle

New member
Aug 4, 2021
3
0
thank you VD171
it works perfektly now.

i trie it with 12.04 global, then auto update to 12.08 und at last auto update to 12.01 (android11)

bootloader is 2nd time open now .-)
it try 3.41 recovery with admin fastboot command and all seen fine - but not so is.
Cant boot in twrp - there is no twrp? and now?

//edit
i think this was it (no twrp) that me brick the phone the first time flash custom rom ;-)
 
Last edited:

VD171

Senior Member
Jun 21, 2012
1,901
2
1,590
127.0.0.1
LG K10
Samsung Galaxy J7
thank you VD171
it works perfektly now.

i trie it with 12.04 global, then auto update to 12.08 und at last auto update to 12.01 (android11)

bootloader is 2nd time open now .-)
it try 3.41 recovery with admin fastboot command and all seen fine - but not so is.
Cant boot in twrp - there is no twrp? and now?

//edit
i think this was it (no twrp) that me brick the phone the first time flash custom rom ;-)
Good work, my friend.
I suggest you to try all recovery project you can, and then you can choose one:
 

sapson15

New member
Sep 2, 2021
2
0
Traceback (most recent call last):
File "main.py", line 3, in <module>
from src.exploit import exploit
ImportError: No module named src.exploit
Для продолжения нажмите любую клавишу . . .
 

Top Liked Posts